Page MenuHomePhabricator

[libc++] Use generator expression in Linker script generation
ClosedPublic

Authored by ldionne on Oct 11 2019, 11:43 AM.

Details

Summary

This is an alternative to the workaround in r374510.

Diff Detail

Event Timeline

ldionne created this revision.Oct 11 2019, 11:43 AM

@phosek Can you please confirm this also fixes your issue in the Runtimes build?

@phosek Can you please confirm this also fixes your issue in the Runtimes build?

I got the following error:

Error evaluating generator expression:

  $<TARGET_EXISTS:unwind_shared>

Expression did not evaluate to a known generator expression

@phosek Can you please confirm this also fixes your issue in the Runtimes build?

I got the following error:

Error evaluating generator expression:

  $<TARGET_EXISTS:unwind_shared>

Expression did not evaluate to a known generator expression

It seems like TARGET_EXISTS was only introduced in CMake 3.12 but I have 3.10 on my workstation. I'll try to upgrade my CMake and try again, but this may prevent us from rolling this out to LLVM which is still requiring 3.4.

@phosek Can you please confirm this also fixes your issue in the Runtimes build?

I got the following error:

Error evaluating generator expression:

  $<TARGET_EXISTS:unwind_shared>

Expression did not evaluate to a known generator expression

It seems like TARGET_EXISTS was only introduced in CMake 3.12 but I have 3.10 on my workstation. I'll try to upgrade my CMake and try again, but this may prevent us from rolling this out to LLVM which is still requiring 3.4.

With CMake 3.13 it works!

ldionne updated this revision to Diff 279901.Jul 22 2020, 11:54 AM

Rebase onto master now that we're on CMake 3.13

Herald added a reviewer: Restricted Project. · View Herald TranscriptJul 22 2020, 11:54 AM
ldionne accepted this revision as: Restricted Project.Jul 22 2020, 11:56 AM

@phosek Can you make sure this works on Linux with the runtimes build?

phosek accepted this revision.Jul 23 2020, 4:13 PM

@phosek Can you make sure this works on Linux with the runtimes build?

LGTM this seems to be working with the runtimes build.

This revision is now accepted and ready to land.Jul 23 2020, 4:13 PM

@phosek Can you make sure this works on Linux with the runtimes build?

LGTM this seems to be working with the runtimes build.

Thanks for checking!

This revision was landed with ongoing or failed builds.Jul 30 2020, 9:00 AM
This revision was automatically updated to reflect the committed changes.